Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Protected Types | Protected Attributes | Friends | List of all members
PropertyHandleT< T > Class Template Reference

The property handle, use it to access the properties. More...

`#include <ObjectTypes/Skeleton/Properties.hh>`

## Public Member Functions
| PropertyHandleT (int _idx=-1)
| Constructs a new property handle. More...
virtual | ~PropertyHandleT ()
| Destructor.
bool | isValid ()
| Returns true if the handle is valid, false otherwise. More...

## Protected Types
typedef T | value_type

## Protected Attributes
int | idx_
| The properties index.

## Friends
class | Properties

## Detailed Description

### template<typename T>
class PropertyHandleT< T >

The property handle, use it to access the properties.

The template parameter corresponds to the type stored by this property.

Definition at line 75 of file Properties.hh.

## Constructor & Destructor Documentation

template<typename T >

PropertyHandleT< T >::PropertyHandleT | ( | int | _idx = `-1` | ) |

Constructs a new property handle.

Do not use the index parameter, unless you really know what you do. Rather pass 0 and then use Properties::get_property.

Parameters

  _idx | The properties internal index, use with caution (or better, don't use at all)

Definition at line 200 of file PropertiesT.cc.

## Member Function Documentation

template<typename T >

bool PropertyHandleT< T >::isValid | ( |  | ) |
| inline

Returns true if the handle is valid, false otherwise.

This method does not test if there is a property with that index, so make sure you don't use handles after their property was deleted or use invalid values in the constructor.

Definition at line 224 of file PropertiesT.cc.

The documentation for this class was generated from the following files:

- ObjectTypes/Skeleton/Properties.hh
- ObjectTypes/Skeleton/PropertiesT.cc